LWM(1)

NAME
lwm - Lightweight Window Manager for the X Window System

SYNTAX
lwm [ -s session-id ]

DESCRIPTION
Lwm is a window manager for the X Window System. It provides enough features to allow the user to manage their windows, and no more.

Windows are surrounded by a frame with a titlebar at the top next to a small box. The frame is a grey colour for all windows except that which has the input focus, where it is black.

In the default configuration, lwm uses the enter-to-focus scheme, where moving the pointer into a window gives that window the input focus. Lwm may also be configured to use the click-to-focus scheme, where a window must be clicked on (with any button) to receive the input focus. Clicking on a window in this mode causes the window to be raised. Note that a click used to focus a window is always swallowed by lwm, so clicking a button in a new window requires two clicks.

A button 1 click on a window frame brings that window to the top. Dragging button 1 on the frame of a resizable window repositions that edge of the window. If a corner rather than an edge is dragged, then both edges forming the corner are repositioned. While you're reshaping a window, a little window pops up to show you the window's current size.

In the default configuration, button 1 on the root window does nothing.

Button 2 is used to drag a window by its frame, repositioning the window but maintaining its position in the window stack.

In the default configuration, button 2 on the root window brings up a new shell.

A button 3 click on a window frame hides that window. Pressing button 3 on the root window brings up a menu of all the hidden windows. Releasing the button while over an item will unhide the named window.

A button 3 click in the frame while Shift is held down pushes the window to the back, under any other windows. (Users with 4-button mice are encouraged to use their fourth button for this function.)

A click with any button inside the little white box in a window's frame can be used to close the window.

OPTIONS
Lwm accepts the following command line options:

-s  specifies a client ID for the X Session Management system, and is used exclusively by session managers.

RESOURCES
Lwm understands the following X resources:

titleFont
    font used in window titles

popupFont
    font used in popup window (menu/size indicator)

border
    width in pixels of window borders

button1
    program spawned when button 1 is clicked on the root window

button2
    program spawned when button 2 is clicked on the root window

focus
    focus mode, one of "enter" for enter-to-focus (or sloppy focus), or "click" for click-to-focus

SEE ALSO

X(7)

AUTHORS
Elliott Hughes <ehughes@bluearc.com>, James Carter <james@jfc.org.uk>